package com.brilliance.isc.bo;

import java.util.*;

import static com.brilliance.mda.runtime.mda.Constants.*;
import com.fasterxml.jackson.annotation.*;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Elcifo {

    //Internal Unique ID
    private String inr = NULLSTR;

    //保存elclon和elcsht的inr
    private String msginr = NULLSTR;

    //发起参与机构
    private String outbankno = NULLSTR;

    //接收参与机构
    private String inbankno = NULLSTR;

    //国结发送状态
    private String msgsta = NULLSTR;

    //报文标识号
    private String msgid = NULLSTR;

    //发送日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date snddat = NULLDATE;

    //创建日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date credat = NULLDATE;

    //报文类型
    private String elctyp = NULLSTR;

    //拟报人
    private String nibaor = NULLSTR;

    //发报人
    private String fabaor = NULLSTR;

    //拟报机构
    private String bchkey = NULLSTR;

    //修改日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date mdfdat = NULLDATE;

    //删除标志
    private String delflg = NULLSTR;

    //BRANCH KEY INR
    private String bchkeyinr = NULLSTR;

    //业务编号
    private String ownref = NULLSTR;






















}
