package com.brilliance.isc.bo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ltt extends AbstractCommonVo {

    //Internal Unique ID of Import L/C Transfer
    private String inr = NULLSTR;

    //Additional Conditions
    private String adlcnd = NULLSTR;

    //Deferred Payment Details
    private String defdet = NULLSTR;

    //Drafts at
    private String dftat = NULLSTR;

    //Additional Details to Code for Charges CHATO
    private String feetxt = NULLSTR;

    //Instructions to Paying/Accepting/Negotiating Bank
    private String insbnk = NULLSTR;

    //Instruction to P/A/N History
    private String insbnkame = NULLSTR;

    //Documents Required
    private String lcrdoc = NULLSTR;

    //Description of Goods
    private String lcrgod = NULLSTR;

    //Mixed Payment Details
    private String mixdet = NULLSTR;

    //Presentation Period
    private String preper = NULLSTR;

    //Other Charges RB
    private String rmbcha = NULLSTR;

    //Shipment Period
    private String shpper = NULLSTR;

    //Additional  Conditions Amendment
    private String adlcndame = NULLSTR;

    //Description of Goods Amendment
    private String lcrgodame = NULLSTR;

    //Documents Required Amendment
    private String lcrdocame = NULLSTR;

    //Historic Overview of Narratives
    private String narhis = NULLSTR;

    //Version Counter
    private String ver = NULLSTR;

    //List of Modified Fields in LTDGRP
    private String fldmodblk = NULLSTR;

    //Additional Amount Covered
    private String addamtcov = NULLSTR;

    //Available in
    private String avbwthtxt = NULLSTR;

    //Content of TAG 72
    private String contag72 = NULLSTR;

    //Content of TAG 79
    private String contag79 = NULLSTR;

    //Default content of Presentation Period
    private String preperdef = NULLSTR;

    //Presentation Period modified
    private String preperflg = NULLSTR;

    //Special Payment Conditions for Beneficiary
    private String spcben = NULLSTR;

    //Special payment Conditions for beneficiary History
    private String spcbename = NULLSTR;

    //Special Payment Conditions for Bank Only
    private String spcrcb = NULLSTR;

    //Special Payment Conditions for Bank Only History
    private String spcrcbame = NULLSTR;

    //Instructions to Intermediary Bank
    private String insintbnk = NULLSTR;
}
