package com.brilliance.isc.bo.lg;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class InffcnQueryConditionBo extends BaseEntity {

    /**
     * 登录机构
     */
    private String branchinr;

    /**
     * Own Reference
     */
    private String ownref;

    /**
     * 协议编号 objref
     */

    private String objref;
    /**
     * 客户编号
     */
    private String extkey;

    /**
     * 签署日期
     */
//    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
//    private Date opndat;
    /**
     * 失效日期
     */
//    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
//    private Date expdat;
}
