package com.brilliance.isc.bo.lg;

import com.brilliance.isc.bo.model.Nidgrp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.common.vo.FremsgVo;
import lombok.Data;

@Data
public class NetpfrStoreBo extends BaseTransactionVo {
    private Nidgrp nidgrp;
    private FremsgVo fremsg;
    private SwiaddVo swiadd;

    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        nidgrp.reset();
        if (fremsg == null) {
            fremsg = new FremsgVo();
        }
        fremsg.reset();
        if (swiadd == null) {
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
    }
}
