package com.brilliance.isc.bo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.lg.DnfencVo;
import com.brilliance.isc.bo.model.Nidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NitencStoreBo extends BaseTransactionVo {
    private Nidgrp nidgrp;
    private Nidgrp oldnidgrp;
    private DnfencVo dnfenc;

    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        nidgrp.reset();
        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
        oldnidgrp.reset();
        if (dnfenc == null) {
            dnfenc = new DnfencVo();
        }
    }
}


