package com.brilliance.isc.common.api.diary.vo;

import com.brilliance.isc.common.trndia.vo.DiaVo;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "备忘录返回信息", description = "备忘录返回信息")
@Builder
public class DiaryResponseVo extends AbstractCommonVo {

    //是否读取过前手数据 X表示已经读取过
    @ApiModelProperty(value = "是否读取过前手数据", name = "oldredflg", required = true)
    private String oldredflg;

    @ApiModelProperty(value = "备忘录列表", name = "dias", required = true)
    private List<DiaVo> dias;
}
