package com.brilliance.isc.common.setfeg.fee;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class FeeEntity {
    private String feeCod = "";                 //费用代码
    private String cur = "";                    //费用币种
    private BigDecimal amt = BigDecimal.ZERO;                     //费用金额
    private Date dat1;                          //费用收取起始日
    private Date dat2;                          //费用收取截止日
    private String modflg;                      //修改标志（费用变化状态）
    private BigDecimal untamt = BigDecimal.ZERO;                  //每份费用的金额
    private BigDecimal ratcal = BigDecimal.ZERO;                  //计算使用的费率
    private int unit;                           //费用收取份数
    private BigDecimal basamt = BigDecimal.ZERO;                  //
    private String ptyInr = "";                 //支付实体INR
    private String remove = "";                 //
    private String type = "";                   //
    private String cdtOldFlg = "";              //
    private String objmod = "";                 //MTABUT/REC
    private String fecmod = "";                 //
    private String fecirt = "";                 //
    private String roldbt = "";                 //支付改费用的角色
    private String cextid = "";                 //外部金额类型
    private String cbtpfx = "";                 //表外风险类型
    private String dspdft = "";                 //默认收取方式
    private String proflg = "";                 //
    private String relcur = "";                 //相关币种
    private String preDbt = "";                 //
    private int irsDay;                         //
    private String infdetStm = "";              //
    private String inftxt = "";                 //摘要信息
    private String mac = "";                    //MAC标记
    private String feetxtinf = "";              //
    private BigDecimal ogiamt = BigDecimal.ZERO;//
    private String advtrninr = "";              //
    private Date advdat;                        //
    private String minmaxflg;                   //
    private Date oldmatdat;                     //
    private BigDecimal rat = BigDecimal.ZERO;
    private String feprol;
    //是否读取业务关联的fec数据
    private boolean readRecFec = false;
}
