package com.brilliance.isc.vo;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BnmVo extends BaseEntity {

    /**
     * 参与者资格标识 （required='true'）
     * 取值范围：IDPT：间接参与方
     *          DRPT: 直接参与方
     */
    private String cyzgbs;

    /**
     * 参与方行号
     */
    private String bch;
    /**
     * 参与方名称
     */
    private String bchname;

    /**
    * 银行类型  Y为总分行 N为普通银行
    * 普通类型查询bnm之后若无数据，会继续查询bnl表
    */
    private String banktyp;
}
