package com.brilliance.isc.vo.component.bptbck;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
public class BptbckQueryVo {

    private String cur;

    private BigDecimal amt = BigDecimal.ZERO;

    //到期日
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date matdat;

    //转卖日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date mcdate;

    private BigDecimal tolrat = BigDecimal.ZERO;

    private BigDecimal shuilv = BigDecimal.ZERO;

    private String accbch;

    private String fintyp;

}
