package com.brilliance.isc.vo.component.usr;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class UsrInfoVo {
    private String inr;

    /**
     * 用户ID
     */
    private String extkey;

    /**
     * 用户名
     */
    private String nam;

    /**
     * 禁止登录
     */
    private String lgiflg;

    /**
     * 最近登录时间
     */
    private String ssnbegdattim;

    /**
     * SSN ID
     */
    private String ssninr;

    /**
     * 版本号
     */
    private String ver;

    /**
     * 实体标志
     */
    private String pri;

    /**
     * 实体
     */
    private String ety;

    /**
     * 用户组
     */
    private String usg;

    /**
     * 最近DIA查看时间
     */
    private String lstdiadat;

    /**
     * 授权币种
     */
    private String relcur;

    /**
     * 授权金额
     */
    private BigDecimal relamt;

    /**
     * 第二授权金额
     */
    private BigDecimal relamt2nd;

    /**
     * 授权组
     */
    private String relgrp;

    /**
     * 电话
     */
    private String tel;

    /**
     * 传真
     */
    private String fax;

    /**
     * 电子信箱
     */
    private String eml;

    /**
     * 可用时间
     */
    private BigDecimal quepow;

    /**
     * 实体名称
     */
    private String etyextkey;

    /**
     * 组织
     */
    private String oenr;

    /**
     * 实体地址
     */
    private String etaextkey;

    /**
     * 客户经理
     */
    private String resusrflg;

    /**
     * 用户状态
     */
    private String secsta;

    /**
     * 信件的组织单位
     */
    private String letoenr;

    private int userdetailsid;

    private String authlevel;

    private String authority;

    private String branch;

    private String bchinr;

    private String bchname;
}
