package com.brilliance.isc.vo.derivative;

import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.common.vo.CommonResult;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 结售汇入口交易查询条件字段
 */
@Data
public class JstselQueryVo extends CommonResult {
    /**
     * 结售汇主表唯一编号
     */
    private String jsdinr;

    /*
    信用证业务编号
     */
    private String seaownref;

    /**
     * 机构编号
     */
    private String bchinr;
    /**
     * 机构编码
     */
    private String branch;

    /**
     * 机构集合
     */
    private List<Bch> bchLst;
    /**
     * 交割日开始日期
     */
    private String  opndatfrom;
    /**
     * 交割日截止日期
     */
    private String  opndatto;

    /**
     * 客户号/名称
     */
    private String searef;

    /**
     * 是否闭卷
     */
    private String isClosed;
    private String seacur;
    private String seaamtfr;
    private String seaamtto;
    private String seasta;
    private String seatyp;
    private String zzownref;
}
