package com.brilliance.isc.vo.domlc;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.json.BigDecimalSerialize;
import com.brilliance.isc.common.vo.BizInfoVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;
/**
 * 卖方信用证业务要素
 */
@Data
public class DedBizInfoVo extends BizInfoVo {

    private String cnfsta = NULLSTR;

    private String elcflg = NULLSTR;

    private String rejflg = NULLSTR;

    private String sndmsg = NULLSTR;

    //Flag \DEDGRP\REC\Dflg
    private String dflg = NULLSTR;


    private String msgtxt = NULLSTR;

    private String jscyjg = NULLSTR;

    private String cnfdet = NULLSTR;

    private String oldcnfsta = NULLSTR;

    private String oldcnfdet = NULLSTR;

    private String ownref;

    private String advdoc;

    //自由格式报文类型
    private String typsel = NULLSTR;

    //fremsg相关
    private String sndmt;
    private  String msgrol = NULLSTR;
    private  String ccrol = NULLSTR;
    private PtsptaVo othmsg;
    private PtsptaVo othcc;
    private  String reldir = NULLSTR;
    private  String fulmt = NULLSTR;
    private  String relmt = NULLSTR;

}
