package com.brilliance.isc.vo.lg;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
@Data
public class GidIncomeVo {

        /**
         * 保函主表inr
         */
        private String inr;
        /**
        * Fee-Code
        */
        private String feecod;
        /**
        * FeeTXT
        */
        private String feetxt;
        /**
         * 费用类型
         */
        private String fepnam;
        /**
         * 业务编号
         */
        private String ownref;
        /**
         * 保函类型
         */
        private String gartyp;
        /**
         * 费用产生日期
         */
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date srcdat;

        /**
         * 收费日期
         */
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date cpldattim;

        /**
         * 计费开始日期
         */
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date dat1;

        /**
         * 计费结束日期
         */
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date dat2;

        /**
         * 费用
         */
        private BigDecimal untamt;

        /**
         * 费率
         */
        private String ratcal;

        /**
         * 费用币种
         */
        private String fepcur;

        /**
         * 应收金额
         */
        private BigDecimal ogiamt;
        /**
         * 优惠金额
         */
        private BigDecimal dctamt;
        /**
         * 实收金额
         */
        private BigDecimal fepamt;
        /**
         * 折算币种
         */
        private String xrfcur;
        /**
         * 折算金额
         */
        private BigDecimal xrfamt;
        /**
         * 客户号
         */
        private String extkey;
        /**
         * 客户名称
         */
        private String nam1;
        /**
         * 机构号
         */
        private String branch;
        /**
         * 机构名称
         */
        private String bchname;
        /**
         * 是否融资
         */
        private String  fingua;
        /**
         * 是否分离式
         */
        private String  fenlishi;
        /**
         * 信用证期限
         */
        private String tenmaxday;
        /**
         * 客户经理
         */
        private String usr;

}
