package com.brilliance.isc.vo.lg;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class GidopnamtVo {
    /**
     * 保函主表inr
     */
    private String inr;
    /**
     * 交易编号
     */
    private String ownref;
    /**
     * 币种
     */
    private String cur;
    /**
     * 开立金额
     */
    private BigDecimal maxamt;
    /**
     * 余额
     */
    private BigDecimal opnamt;
    /**
     * 开立日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date opndat;
    /**
     * 到期日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date expdat;
    /**
     * 客户号
     */
    private String ptyextkey;
    /**
     * 客户名称
     */
    private String ptynam;

}
