package com.brilliance.isc.vo.lg;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class InfnidVo {

    private  String inr;
    //    Reference nid.ownref
    private String nidownref;

    //Resp. User nid.ownusr
    private String nidownusr;

    //Opened nid.opndat
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date nidopndat;

    //Validity nid.expdat
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private  Date nidexpdat;

    //Liability nid.liadat
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private  Date nidliadat;

    //电子渠道类型 nid.fromflg
    private String nidfromflg;

    //OTHERSNO nid.othersno
    private String nidothersno;

    //基础贸易是/否跨境货物贸易 nid.ISCROTRA
    private String nidiscrotra;

    //被担保人名称  nid.GRTNAM
    private String nidgrtnam;

    //保函品种  nid.GARTYP
    private String nidgartyp;

    //Handling Type nid.HNDTYP
    private String nidhndtyp;

    //分行名称 bch.BCHNAME
    private String bchname;

    //Party Number pts.EXTKEY
    private String ptsaplextkey;

    //Applicant
    private String ptsaplnam;

    //Party Number
    private String ptsbenextkey;

    //Beneficiary
    private String  ptsbennam;

    //MAX Cur
    private String maxcur;

    //Guar. Amount
    private BigDecimal maxamt;

    //XRFCUR Cur
    private String maxxrfcur;

    //Guarantee Amount(RMB)
    private BigDecimal maxxrfamt;

    //OPN Cur
    private String opncur;

    //Guar. Amount
    private BigDecimal opnamt;

    //XRFCUR Cur
    private String opnxrfcur;

    //Guarantee Amount(RMB)
    private BigDecimal opnxrfamt;

    //融资性对外担保
    private String fingua;
}
