package com.brilliance.isc.vo.lg;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;
import static com.brilliance.mda.runtime.mda.util.Decimals.ZERO_SCALE2;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NcdDetailVO {
    private String ncdInr = NULLSTR;
    private String ncdOwnref = NULLSTR;
    private String ncdOwnusr = NULLSTR;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date ncdOpndat = NULLDATE;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date ncdClsdat = NULLDATE;
    private String aplExtkey = NULLSTR;
    private String aplNam = NULLSTR;
    private String benExtkey = NULLSTR;
    private String benNam = NULLSTR;
    private String maxsumCur = NULLSTR;
    private BigDecimal maxsumAmt = ZERO_SCALE2;
    private String opnCur = NULLSTR;
    private BigDecimal opnAmt = ZERO_SCALE2;
}
