package com.brilliance.isc.vo.manager;


import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

/**
 * TABLE:Usrntf:Usrntf
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class UsrntfVo extends BaseEntity {

    //主键
    private String inr;

    //发送人
    private String sndusr;

    //发送时间
    private String sndtim;

    // 接收人类型 (All usr-- 全部用户, Single Usr-- 单个用户, All Online Usr-- 所有在线用户)
    private String usrtyp;

    //接收人
    private String rcvusr;

    //接收时间
    private String rcvtim;

    //查看通知时间
    private String readtim;

    //通知状态
    private String ntfsta;

    //通知内容
    private String ntftxt;

    //发送开始时间
    private Date sndbegdat;

    //发送截止时间
    private Date sndenddat;

    //接收人名称描述
    private String rcvusrdsc;

    //发送人名称描述
    private String sndusrdsc;

    // 通知群发状态
    private String qfsta;

    // 发送通知的散列值
    private String mac;
}
