package com.brilliance.isc.esb.api.ccrm;

import com.brilliance.isc.esb.model.ccrm.ReqCrmgjqx;
import com.brilliance.isc.esb.model.ccrm.ReqCrmtsbq;
import com.brilliance.isc.esb.model.ccrm.ResCrmgjqx;
import com.brilliance.isc.esb.model.ccrm.ResCrmtsbq;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * Ccrm 国结提供外汇展业服务方接口
 */

//@RequestMapping("/SSTF")
public interface NewCcrmServer {

    /**
     * Crmgjqx 国结权限查询接口
     *
     * @param reqCrmgjqx
     * @return
     */
    @PostMapping("/Crmgjqx")
    ResCrmgjqx doCrmgjqx(@RequestBody ReqCrmgjqx reqCrmgjqx);

    /**
     * Crmtsbq CRM实时单独推送标签信息
     *
     * @param reqCrmtsbq
     * @return
     */
    @PostMapping("/Crmtsbq")
    ResCrmtsbq doCrmtsbq(@RequestBody ReqCrmtsbq reqCrmtsbq);

}
