package com.brilliance.isc.esb.model.cpm;

public class ResOCPC32 {

    public ResOCPC32() {
    }

    public ResOCPC32(String XITNLY, String XINGMA, String XIYNRG, String XINYSJ, String SHJURQ, String DINJDM, String DINJLS, String SXPFDM, String HETNHO, String SXLEXG, String SNPIZT, String OCKHDM, String HXKHDM, String CHPIDM, String SHPIJG, String DAKAJE, String BIZHOG, String DAKAQX, String QIXNDW, String DAKAQR, String QAKAJR, String NDJGBS, String DINJLB, String SHEPLB, String CPC3LB, String SHEPDC, String SHUILV, String SHPJGH, String SHPDCH, String RMBSBS, String LPRTYP) {
        this.SYSTEM_SOURCE = XITNLY;
        this.RESPONSE_CODE = XINGMA;
        this.RESPONSE_CONTENT = XIYNRG;
        this.RESPONSE_DATE = XINYSJ;
        this.CALCULATION_DATE = SHJURQ;
        this.APPROVAL_CODE = DINJDM;
        this.SERIAL_NO = DINJLS;
        this.CREATE_CODE = SXPFDM;
        this.CONTRACT_NO = HETNHO;
        this.CREATE_TYPE = SXLEXG;
        this.APPROVAL_STATUS = SNPIZT;
        this.CUSTOMER_CODE = OCKHDM;
        this.ECAS_CUSTOMER = HXKHDM;
        this.PRODUCT_CODE = CHPIDM;
        this.APPROVED_PRICE = SHPIJG;
        this.LOAN_AMOUNT = DAKAJE;
        this.CURRENCY = BIZHOG;
        this.LOAN_MATURITY = DAKAQX;
        this.MATURITY_UNIT = QIXNDW;
        this.LOAN_START_DATE = DAKAQR;
        this.LOAN_END_DATE = QAKAJR;
        this.DRAFTED_PRICE_FLAG = NDJGBS;
        this.LIBOR_PRICING = DINJLB;
        this.LIBOR_APPROVAL = SHEPLB;
        this.LIBOR_LOAN = CPC3LB;
        this.APPROVED_PRICE_BP = SHEPDC;
        this.INCREMENT_TAX = SHUILV;
        this.APPROVED_PRICE_TAX = SHPJGH;
        this.APPROVED_PRICE_BP_TAX = SHPDCH;
        this.START_FLOW_FLAG = RMBSBS;
        this.LPR_MATURITY_VARIETY = LPRTYP;
    }

    /**
     * 系统来源[0,200]
     */
    public String SYSTEM_SOURCE;
    /**
     * 响应码[0,200]
     */
    public String RESPONSE_CODE;
    /**
     * 响应内容信息[0,200]
     */
    public String RESPONSE_CONTENT;
    /**
     * 响应处理时间[0,200]
     */
    public String RESPONSE_DATE;
    /**
     * 数据日期[0,200]
     */
    public String CALCULATION_DATE;
    /**
     * 定价审批代码[0,200]
     */
    public String APPROVAL_CODE;
    /**
     * 定价流水号[0,200]
     */
    public String SERIAL_NO;
    /**
     * 授信批复代码[0,200]
     */
    public String CREATE_CODE;
    /**
     * 合同号[0,200]
     */
    public String CONTRACT_NO;
    /**
     * 授信类型[0,200]
     */
    public String CREATE_TYPE;
    /**
     * 审批状态[0,200]
     */
    public String APPROVAL_STATUS;
    /**
     * OC客户代码[0,200]
     */
    public String CUSTOMER_CODE;
    /**
     * 核心客户代码[0,200]
     */
    public String ECAS_CUSTOMER;
    /**
     * 产品代码[0,200]
     */
    public String PRODUCT_CODE;
    /**
     * 审批价格(不含税)[0,200]
     */
    public String APPROVED_PRICE;
    /**
     * 贷款金额[0,200]
     */
    public String LOAN_AMOUNT;
    /**
     * 币种[0,200]
     */
    public String CURRENCY;
    /**
     * 贷款期限[0,200]
     */
    public String LOAN_MATURITY;
    /**
     * 期限单位[0,200]
     */
    public String MATURITY_UNIT;
    /**
     * 贷款起始日[0,200]
     */
    public String LOAN_START_DATE;
    /**
     * 贷款结束日[0,200]
     */
    public String LOAN_END_DATE;
    /**
     * 拟定价格标识[0,200]
     */
    public String DRAFTED_PRICE_FLAG;
    /**
     * 定价Libor[0,200]
     */
    public String LIBOR_PRICING;
    /**
     * 审批Libor[0,200]
     */
    public String LIBOR_APPROVAL;
    /**
     * CPC3最新Libor[0,200]
     */
    public String LIBOR_LOAN;
    /**
     * 审批价格点差(不含税)[0,200]
     */
    public String APPROVED_PRICE_BP;
    /**
     * 增值税税率[0,200]
     */
    public String INCREMENT_TAX;
    /**
     * 审批价格(含税)[0,200]
     */
    public String APPROVED_PRICE_TAX;
    /**
     * 审批价格点差(含税)[0,200]
     */
    public String APPROVED_PRICE_BP_TAX;
    /**
     * 人民币审批流程发起标识[0,200]
     */
    public String START_FLOW_FLAG;
    /**
     * 市场LPR期限品种[0,200]
     */
    public String LPR_MATURITY_VARIETY;

}

