package com.brilliance.isc.esb.model.ebmp;

import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@AllArgsConstructor
public class ResOTM01 {
    /**
     * 报文参考号
     */
    public String MSGNO;
    /**
     *状态码
     */
    public String CODE;
    /**
     * 错误详细信息
     */
    public String DETAIL;
    /**
     * 企业代码
     */
    public String CORPID;
    /**
     * 企业名称
     */
    public String CORPNAME;
    /**
     * 企业所属外汇局代码
     */
    public String SAFECODE;
    /**
     * 企业所属外汇局名称
     */
    public String SAFENAME;
    /**
     * 名录状态
     */
    public String PAYLIST;
    /**
     * 是否辅导期企业
     */
    public String NEWCORP;
    /**
     * 分类结果
     */
    public String RANK;
    /**
     * 分类起始日期
     */
    public String RANKBEGINDATE;
    /**
     * 分类截止日期
     */
    public String RANKENDDATE;
    /**
     * 是否特殊监管区域内企业
     */
    public String ISTAXFREE;
    /**
     * 特殊监管区域类型
     */
    public String TAXFREECODE;
    /**
     * 进口可付汇余额(美元)
     */
    public String PAYBAL;
    /**
     * 出口可收汇余额(美元)
     */
    public String RCVBAL;
    /**
     * 是否跨境人民币重点监管企业
     */
    public String ISKEYMONITORCORP;
    /**
     * 备用字段2
     */
    public String RESERVE2;
    /**
     * 备用字段3
     */
    public String RESERVE3;
    /**
     * 备用字段4
     */
    public String RESERVE4;


}
