package com.brilliance.isc.esb.model.inner;

import lombok.Data;

/**
 * 核心系统提供贷款还款交易
 */
@Data
public class InnerReq6107 {

    public String jiejuh;           //借据号
    public String dakuzh;           //贷款帐号
    public String hukufs;           //还款方式
    public String hukuze;           //还款总额
    public String joyije;           //交易金额
    public String hukuzh;           //还款帐号
    public String bwqxlx;           //表外欠息利息
    public String bowiqx;           //表外欠息
    public String bnqxlx;           //表内欠息利息
    public String boneqx;           //表内欠息
    public String bejilx;           //本金利息
    public String benjin;           //本金
    public String chbwql;           //偿还表外欠息利息
    public String chbwqx;           //偿还表外欠息
    public String chbnql;           //偿还表内欠息利息
    public String chbnqx;           //偿还表内欠息
    public String chbjlx;           //偿还本金利息
    public String chdkbj;           //偿还贷款本金
    public String fhdima;           //分行代码
    public String pnzezl;           //凭证种类
    public String pnzeph;           //凭证批号
    public String pnzexh;           //凭证序号
    public String qifarq;           //签发日期
    public String zifumm;           //支付密码
    public String pnzeho;           //凭证号

    public InnerReq6107() {
    }

    public InnerReq6107(String jiejuh, String dakuzh, String hukufs, String hukuze, String joyije, String hukuzh, String bwqxlx, String bowiqx, String bnqxlx, String boneqx, String bejilx, String benjin, String chbwql, String chbwqx, String chbnql, String chbnqx, String chbjlx, String chdkbj, String fhdima, String pnzezl, String pnzeph, String pnzexh, String qifarq, String zifumm, String pnzeho) {
        this.jiejuh = jiejuh;
        this.dakuzh = dakuzh;
        this.hukufs = hukufs;
        this.hukuze = hukuze;
        this.joyije = joyije;
        this.hukuzh = hukuzh;
        this.bwqxlx = bwqxlx;
        this.bowiqx = bowiqx;
        this.bnqxlx = bnqxlx;
        this.boneqx = boneqx;
        this.bejilx = bejilx;
        this.benjin = benjin;
        this.chbwql = chbwql;
        this.chbwqx = chbwqx;
        this.chbnql = chbnql;
        this.chbnqx = chbnqx;
        this.chbjlx = chbjlx;
        this.chdkbj = chdkbj;
        this.fhdima = fhdima;
        this.pnzezl = pnzezl;
        this.pnzeph = pnzeph;
        this.pnzexh = pnzexh;
        this.qifarq = qifarq;
        this.zifumm = zifumm;
        this.pnzeho = pnzeho;
    }
}
