package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.LinkedList;
import java.util.List;

/**
 * 核心系统提供二代支付往账查询响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes8485 {

    public InnerRes8485(String jiaoym, List<Item8485> lst8485, String jiaoym1, String baoblj, String tishxi) {
        this.jiaoym = jiaoym;
        this.lst8485 = lst8485;
        this.jiaoym1 = jiaoym1;
        this.baoblj = baoblj;
        this.tishxi = tishxi;
    }

    public InnerRes8485() {
    }

    /**
     * 报文名
     */
    public String jiaoym;

    public List<Item8485> lst8485 = new LinkedList<>();
    /**
     * 报文名
     */
    public String jiaoym1;
    /**
     * 报表路径
     */
    public String baoblj;
    /**
     * 提示信息
     */
    public String tishxi;

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class Item8485 {
        /**
         * 业务编号
         */
        public String yewubh;
        /**
         * 报文类型
         */
        public String bwlxdh;
        /**
         * 报文标识号
         */
        public String bawbsh;
        /**
         * 一二代标志
         */
        public String canybz;
        /**
         * 复核流水号
         */
        public String fhgyls;
        /**
         * 报文状态
         */
        public String bmynjn;
        /**
         * 撤销状态
         */
        public String chaxhh;
        /**
         * 退回状态
         */
        public String dazhou;
        /**
         * 人行状态
         */
        public String xinx01;
        /**
         * 帐务状态
         */
        public String xinx02;
        /**
         * 委托日期
         */
        public String msgsdt;
        /**
         * 支付优先级
         */
        public String jiajzl;
        /**
         * 货币代号
         */
        public String huobdh;
        /**
         * 金额
         */
        public String zhifje;
        /**
         * 发起参与机构
         */
        public String fqcyjg;
        /**
         * 发起直接参与机构
         */
        public String fqzjjg;
        /**
         * 接收参与机构
         */
        public String jscyjg;
        /**
         * 接收直接参与机构
         */
        public String jszjjg;
        /**
         * 业务种类
         */
        public String ywzldm;
        /**
         * 业务类型
         */
        public String ywlxdm;
        /**
         * 对帐标志
         */
        public String khdbbh;
        /**
         * 付款人帐号
         */
        public String fukrzh;
        /**
         * 付款人名称
         */
        public String fkrmch;
        /**
         * 付款人地址
         */
        public String fkrdzh;
        /**
         * 付款清算行行号
         */
        public String fukqsh;
        /**
         * 付款行行号
         */
        public String fukhhh;
        /**
         * 付款人开户行行号
         */
        public String fkrkhh;
        /**
         * 付款人开户行名
         */
        public String fukrhm;
        /**
         * 收款人帐号
         */
        public String shkrzh;
        /**
         * 收款人名称
         */
        public String skrmch;
        /**
         * 收款人地址
         */
        public String skrdzh;
        /**
         * 收款清算行行号
         */
        public String shkqsh;
        /**
         * 收款行行号
         */
        public String shkhhh;
        /**
         * 收款人开户行行号
         */
        public String skrkhh;
        /**
         * 收款人开户行
         */
        public String shkrhm;
        /**
         * 票据种类
         */
        public String cnpzzl;
        /**
         * 票据日期
         */
        public String pngzrq;
        /**
         * 票据号码
         */
        public String pjhaom;
        /**
         * 赔偿金额
         */
        public String zfjee1;
        /**
         * 拒付金额
         */
        public String zfjee2;
        /**
         * 原托金额
         */
        public String zfjee3;
        /**
         * 支付金额
         */
        public String zfjee4;
        /**
         * 多付金额
         */
        public String zfjee5;
        /**
         * 原报文标识号
         */
        public String ybwbsh;
        /**
         * 原发起参与机构
         */
        public String yfqcyj;
        /**
         * 原报文类型代码
         */
        public String ybwlxh;
        /**
         * 退汇原因
         */
        public String ywjjxx;
        /**
         * 关联业务委托日期
         */
        public String riqiii;
        /**
         * 费用编码
         */
        public String zjywzl;
        /**
         * 跨境业务附言
         */
        public String fuynh3;
        /**
         * 拆借期限
         */
        public String diabgh;
        /**
         * 拆借利率
         */
        public String bizhly;
        /**
         * 附言
         */
        public String fuynh1;

    }
}
