package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * CL83  额度管理系统额度信息同步
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerResCL83 {

    public InnerResCL83() {
    }

    public InnerResCL83(String objectid, String resp01, String resp02, String resp03, String resp04, String resp05) {
        this.objectid = objectid;
        this.resp01 = resp01;
        this.resp02 = resp02;
        this.resp03 = resp03;
        this.resp04 = resp04;
        this.resp05 = resp05;
    }

    /**
     * 报文名
     */
    public String objectid;
    /**
     * 后台流水号
     */
    public String resp01;
    /**
     * ECIF客户编号
     */
    public String resp02;
    /**
     * 客户名称
     */
    public String resp03;
    /**
     * 交易结果
     */
    public String resp04;
    /**
     * 失败原因
     */
    public String resp05;

}
