package com.brilliance.isc.esb.model.whj.res.sinosure;

import lombok.Data;

@Data
public class BuyerquotaInfo {

    public String noticeserialno;             //中国信保通知序号（唯一）
    public String buyerquotano;             //限额编号
    public String companychnname;             //被保险人中文名称
    public String creditno;             //被保险人统一社会信用代码
    public String policyno;             //保险单号
    public String quotastate;             //限额状态
    public String paymode;             //支付方式
    public String quotasum;             //信用额度（USD）
    public String quotabalance;             //信用限额余额（USD）
    public String quotabalremark;             //信用限额余额字段说明
    public String payterm;             //信用期限
    public String buyerno;             //买方代码
    public String buyerengname;             //买方英文名称
    public String effectdate;             //限额生效日期
    public String lapsedate;             //限额失效日期
    public String refpayrate;             //拒收风险赔偿比例
    public String otherpayrate;             //其他商业风险赔偿比例
    public String adcondition;             //限额特别条件
    public String importantnote;             //重要信息提示

    public BuyerquotaInfo() {
    }

    public BuyerquotaInfo(String noticeserialno, String buyerquotano, String companychnname, String creditno, String policyno, String quotastate, String paymode, String quotasum, String quotabalance, String quotabalremark, String payterm, String buyerno, String buyerengname, String effectdate, String lapsedate, String refpayrate, String otherpayrate, String adcondition, String importantnote) {
        this.noticeserialno = noticeserialno;
        this.buyerquotano = buyerquotano;
        this.companychnname = companychnname;
        this.creditno = creditno;
        this.policyno = policyno;
        this.quotastate = quotastate;
        this.paymode = paymode;
        this.quotasum = quotasum;
        this.quotabalance = quotabalance;
        this.quotabalremark = quotabalremark;
        this.payterm = payterm;
        this.buyerno = buyerno;
        this.buyerengname = buyerengname;
        this.effectdate = effectdate;
        this.lapsedate = lapsedate;
        this.refpayrate = refpayrate;
        this.otherpayrate = otherpayrate;
        this.adcondition = adcondition;
        this.importantnote = importantnote;
    }
}
