package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Gimgfx {
    //biccod
    private String biccod = NULLSTR;

    //the status of bank
    private String bnksta = NULLSTR;

    //the type of message
    private String msgtyp = NULLSTR;

    //stscod
    private String stscod = NULLSTR;

    //update time
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date upddat = NULLDATE;

    //remark1
    private String remark1 = NULLSTR;

    //remark2
    private String remark2 = NULLSTR;

    //remark3
    private String remark3 = NULLSTR;

    //remark4
    private String remark4 = NULLSTR;

    //remark5
    private String remark5 = NULLSTR;
}
