package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:irt:INV - Interest Rate Definition
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class InvRsk {

        //发票代码
        private  String invoicecode = NULLSTR;
        //发票号码
        private  String invoicenumber = NULLSTR;
        //商品名称
        private  String commodityname = NULLSTR;
        //规格型号
        private  String specificationmodel = NULLSTR;
        //单位
        private  String unit = NULLSTR;
        //数量
        private  String quantity = NULLSTR;
        //单价
        private  String unitprice = NULLSTR;
        //金额
        private  String amount = NULLSTR;
        //税率
        private  String taxrate = NULLSTR;
        //税额
        private  String tax = NULLSTR;
        //通行日期起
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private  Date currentdatestart;
        //通行日期止
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private  Date currentdateend;
        //车辆类型
        private  String cartypeinfo = NULLSTR;
        //车牌号
        private  String platenumber = NULLSTR;
        //扩展字段1
        private  String ext1 = NULLSTR;
        //扩展字段2
        private  String ext2 = NULLSTR;
        //扩展字段3
        private  String ext3 = NULLSTR;
        
}