package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class LcfsLogin {

    private String inr = NULLSTR;

    private String token = NULLSTR;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private String expires = NULLSTR;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private String interval = NULLSTR;

    private String rmk1 = NULLSTR;

    private String rmk2 = NULLSTR;

    private String rmk3 = NULLSTR;

}
