package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:wfs:WFS - Workflow Subject
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Wfs {

        //Internal Unique ID of Workflow Subject
        private String inr = NULLSTR;

        //Table Used to Store Associated Object
        private String objtyp = NULLSTR;

        //INR of Object
        private String objinr = NULLSTR;

        //External Readable Object Identification
        private String objnam = NULLSTR;

        //Entity holding Workflow Subject
        private String etyextkey = NULLSTR;
}