package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Boacbs extends AbstractCommonVo {

    private Cbb max;

    private Cbb opnbpdisc;

    private Cbb opn1;

    private Cbb rsv;

    @Override
    public void reset() {
        if (max == null) {
            max = new Cbb();
        }
        if (opnbpdisc == null) {
            opnbpdisc = new Cbb();
        }
        if (opn1 == null) {
            opn1 = new Cbb();
        }
        if (rsv == null) {
            rsv = new Cbb();
        }
    }
}
