package com.brilliance.isc.common.vo;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.lg.LimpanVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class InfackVo extends BaseTransactionVo {
    private String inr;
    private String extkey;
    private String sndref;
    private Date rcvdat;
    private String flg;
    private String sta;
    private Date gendat;
    private Date endgendat;
    private String acksrv;
    //报文种类
    private String elcmsgtyp;
    //All Entities
    private  String alletyflg;
    //Uetr
    private String uetr;



    /**
     * 每页大小
     */
    private Integer pageSize;
    /**
     * 当前页数
     */
    private Integer pageNum;
    /**
     * 总条数
     */
    private Integer total;


}
