package com.brilliance.isc.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class LcAddbcbVo extends AbstractCommonVo {

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date bcbdat;

    private String bcbtyp1 = NULLSTR;

    private String bcbtyp2 = NULLSTR;

    private String bcbtyp3 = NULLSTR;

    private String bcbtyp4 = NULLSTR;

    private String bcbtyp5 = NULLSTR;

    private String bcbtyp6 = NULLSTR;

    private String bcbtyp7 = NULLSTR;

    private String bccls1 = NULLSTR;

    private String bccls2 = NULLSTR;

    private String bccls3 = NULLSTR;

    private String bccls4 = NULLSTR;

    private String bccls5 = NULLSTR;

    private String bccls6 = NULLSTR;

    private String bccls7 = NULLSTR;

    private String name = NULLSTR;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date pwdat;

    private String pwtyp1 = NULLSTR;

    private String pwtyp2 = NULLSTR;

    private String pwtyp3 = NULLSTR;

    private String pwtyp4 = NULLSTR;

    private String pwtyp5 = NULLSTR;

    private String pwtyp6 = NULLSTR;

    private String pwtyp7 = NULLSTR;

    private String pwtyp8 = NULLSTR;

    private String pwtyp9 = NULLSTR;

    private String label5 = NULLSTR;

    private String litameadv = NULLSTR;

    //特殊规定条件
    private String ameadvrmk = NULLSTR;

    private String flg0541 = NULLSTR;

    private String flg0542 = NULLSTR;

    /**
     * 货物简称
     */
    private String godnam;

    /**
     * litame.addbcb 不规范条款类型
     */
    private String bgftktyp;

    /**
     * litame.addbcb 修改信用证类型
     */
    private String modtyp;
}
