package com.brilliance.isc.vo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.json.BigDecimalSerialize;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class PtsptaQueryVo extends PtsptaVo {

    private String inr;

    private String bchinr;

    private Integer pageNum;

    private Integer pageSize;

    private List<String> bchlst;

    private String rskcty= NULLSTR;

    private String adrbic = NULLSTR;

//    private String adrLoccty = NULLSTR;

    //申请人参考号
    private String ref = NULLSTR;

    private String bchbranch;

    private String bchbchname;

    private String ptaptyinr;

    private String ptaptyextkey;

    private String ptaobjkey;

    private String adrnam1;

    private String adrstr1;

    private String adradr1;

    private String adrstr2;

    private String adrloccty;

    private String adrloczip;

    private String adrloctxt;

    private String ptabic;

    private List<String> ptytyplist;

    //联行行号
    private String fqcyjg;

    private String cur = NULLSTR;

    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal amt = Decimals.ZERO_SCALE2;

    //帐号
    private  String orcact = NULLSTR;

}
