package com.brilliance.isc.vo.lg;

import com.brilliance.isc.bo.Bch;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

/**
 * @BelongsProject: isc-common
 * @BelongsPackage: com.brilliance.isc.vo.lg
 * @Author: glb
 * @CreateTime: 2023-09-26 09:45
 * @Description: TODO
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class InfswfYunAndELbConditionVo {
    // 交易名称
    private String transName;
    // 来源系统
    private String cortyp;
    // 国结业务编号
    private String ownref;
    // 报文类型
    private String ersmsgtyp;
    // 报文状态
    private String erssta;
    // 开始时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date inidatfro;
    // 结束时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date inidattil;
    // 用户id
    private String userId;
    // 登录用户所在机构
    private Bch bch;
    // 页数
    private Integer pageNum;
    // 每页大小
    private Integer pageSize;
}
