package com.brilliance.isc.esb.api.bebip;


import com.brilliance.isc.esb.model.Req;
import com.brilliance.isc.esb.model.Res;
import com.brilliance.isc.esb.model.ph.ReqBHW3;
import com.brilliance.isc.esb.model.ph.ResBHW3;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * BEBIP 分行前置系统
 *
 * @restApi
 */
//@RequestMapping("/BEBIP")
public interface BebipClient {

    /**
     * BHW3 保函往报
     *
     * @param reqBHW3
     * @return
     */
    @PostMapping("/BHW3")
    Res<ResBHW3> callBHW3(Req<ReqBHW3> reqBHW3);
}
