package com.brilliance.isc.esb.api.newswift;

import com.brilliance.isc.esb.model.swift.Req1001;
import com.brilliance.isc.esb.model.swift.Req1002;
import com.brilliance.isc.esb.model.swift.Res1001;
import com.brilliance.isc.esb.model.swift.Res1002;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * 新Swift报文管理系统feign接口
 *
 * @restApi
 */
//@RequestMapping("/webapi/gtw/wtc")
public interface NewSwiftClient {
    /**
     * gpi通知(国结入账反馈)
     *
     * @param peripheralRequest
     * @return
     */
    @PostMapping("/tfbFeedback")
    Res1001 callFM01(Req1001 peripheralRequest);

    /**
     * gpi查询(付汇历程查询)
     *
     * @param peripheralRequest
     * @return
     */
    @PostMapping("/queryGpiTracker")
    Res1002 call8709(Req1002 peripheralRequest);
}
