package com.brilliance.isc.esb.model.ebmp;

/**
 * GS02 接收中台返回gisp900报文请求对象
 */
public class ReqGS02 {

    /**
     * 后台系统处理流水号 [0,20]
     */
    public String HTXTLS;

    /**
     * 更新报文类型 [0,5]
     */
    public String UPTYPE;

    /**
     * 状态 [0,5]
     */
    public String STSCOD;

    /**
     * 业务处理信息 [0,128]
     */
    public String YWCLXX;

    /**
     * 备用字段1 [0,8]
     */
    public String BEYZD1;

    /**
     * 备用字段2 [0,16]
     */
    public String BEYZD2;

    /**
     * 备用字段3 [0,32]
     */
    public String BEYZD3;
    /**
     * 备用字段4 [0,64]
     */
    public String BEYZD4;

    /**
     * 备用字段5 [0,128]
     */
    public String BEYZD5;

    public ReqGS02() {
    }

    public ReqGS02(String HTXTLS, String UPTYPE, String STSCOD, String YWCLXX, String BEYZD1, String BEYZD2, String BEYZD3, String BEYZD4, String BEYZD5) {
        this.HTXTLS = HTXTLS;
        this.UPTYPE = UPTYPE;
        this.STSCOD = STSCOD;
        this.YWCLXX = YWCLXX;
        this.BEYZD1 = BEYZD1;
        this.BEYZD2 = BEYZD2;
        this.BEYZD3 = BEYZD3;
        this.BEYZD4 = BEYZD4;
        this.BEYZD5 = BEYZD5;
    }
}
