package com.brilliance.isc.esb.model.hx;

import java.util.ArrayList;
import java.util.List;

/**
 * 8416 二代支付普通汇兑交易请求对象
 */
public class Req8416 {

    /**
     * 销帐序号
     */
    public String XIOZXH;

    /**
     * 付款人帐号
     */
    public String FUKRZH;

    /**
     * 付款人名称
     */
    public String FKRMCH;

    /**
     * 是否代理标志
     */
    public String BIAOZI;

    /**
     * 代理付款人账号
     */
    public String DAILZH;

    /**
     * 代理付款人名称
     */
    public String DAILMC;

    /**
     * 付款地址
     */
    public String FKRDZH;

    /**
     * 付款人开户行行号
     */
    public String FKRKHH;

    /**
     * 币种
     */
    public String HUOBDH;

    /**
     * 交易金额
     */
    public String ZHIFJE;

    /**
     * 大小额标志
     */
    public String CANYBZ;

    /**
     * 业务类型
     * CMT00和A113
     */
    public String YWLXDM;

    /**
     * 业务种类
     */
    public String YWZLDM;

    /**
     * 加急种类
     */
    public String JIAJZL;

    /**
     * 收款人帐号
     */
    public String SHKRZH;

    /**
     * 收款人姓名
     */
    public String SKRMCH;

    /**
     * 收款人地址
     */
    public String SKRDZH;

    /**
     * 收款人开户行行号
     */
    public String SKRKHH;

    /**
     * 收款行行号
     */
    public String SHKHHH;

    /**
     * 收款行行名
     */
    public String SHKRHM;

    /**
     * 凭证种类
     */
    public String PNGZZL;

    /**
     * 分行代码
     */
    public String FENHDM;

    /**
     * 凭证批号
     */
    public String PNGZPH;

    /**
     * 凭证序号
     */
    public String PNGZXH;

    /**
     * 签发日期
     */
    public String QNFARQ;

    /**
     * 支付限额
     */
    public String ZHFUED;

    /**
     * 支付密码
     */
    public String ZHFUMM;

    /**
     * 端到端标识号
     */
    public String DDDBSH;

    /**
     * 附言
     */
    public String FUYNH1;

    /**
     * 备用
     */
    public String BEIY04;

    public List<ItemF84161> F84161 = new ArrayList();

    public List<ItemF84162> F84162 = new ArrayList();

    public List<ItemF84163> F84163 = new ArrayList();

    public static class ItemF84161 {
        /**
         * 日期
         */
        public String RIQIII;

        /**
         * 号码
         */
        public String PJHAOM;

        /**
         * 种类
         */
        public String ZHHUZL;
    }

    public static class ItemF84162 {
        /**
         * 票据日期
         */
        public String RIQIII;

        /**
         * 票据号码
         */
        public String PJHAOM;

        /**
         * 赔偿金金额
         */
        public String ZFJEE1;

        /**
         * 拒付金额
         */
        public String ZFJEE2;

        /**
         * 原托金额
         */
        public String ZFJEE3;

        /**
         * 支付金额
         */
        public String ZFJEE4;

        /**
         * 多付金额
         */
        public String ZFJEE5;
    }

    public static class ItemF84163 {

        /**
         * 关联业务委托日期
         */
        public String RIQIII;

        /**
         * 中介结构1
         */
        public String ZHJJG1;

        /**
         * 中介机构1名称
         */
        public String ZJG1MC;

        /**
         * 中介结构2
         */
        public String ZHJJG2;

        /**
         * 中介机构2名称
         */
        public String ZJG2MC;

        /**
         * 费用编码
         */
        public String SJDWBM;

        /**
         * 发报行的收费
         */
        public String ZFJEE1;

        /**
         * 收报行的收费
         */
        public String ZFJEE2;

        /**
         * 跨境业务附言
         */
        public String FUYNH4;

        /**
         * 收款人名称2
         */
        public String SKRMC2;

        /**
         * 收款人名称3
         */
        public String SKRMC3;

        /**
         * 收款人地址2
         */
        public String SKRDZ2;

        /**
         * 收款人地址3
         */
        public String SKRDZ3;

        /**
         * 收款人地址4
         */
        public String SKRDZ4;

        /**
         * 收款人地址5
         */
        public String SKRDZ5;

        /**
         * 收款人账号2
         */
        public String SKRZH2;

        /**
         * 付款人名称2
         */
        public String FKRMC2;

        /**
         * 付款人名称3
         */
        public String FKRMC3;

        /**
         * 付款人地址2
         */
        public String FKRDZ2;

        /**
         * 付款人地址3
         */
        public String FKRDZ3;

        /**
         * 付款人地址4
         */
        public String FKRDZ4;

        /**
         * 付款人地址5
         */
        public String FKRDZ5;

        /**
         * 付款人账号2
         */
        public String FKRZH2;

    }

    public Req8416() {
    }

    public Req8416(String XIOZXH, String FUKRZH, String FKRMCH, String BIAOZI, String DAILZH, String DAILMC, String FKRDZH, String FKRKHH, String HUOBDH, String ZHIFJE, String CANYBZ, String YWLXDM, String YWZLDM, String JIAJZL, String SHKRZH, String SKRMCH, String SKRDZH, String SKRKHH, String SHKHHH, String SHKRHM, String PNGZZL, String FENHDM, String PNGZPH, String PNGZXH, String QNFARQ, String ZHFUED, String ZHFUMM, String DDDBSH, String FUYNH1, String BEIY04, List<ItemF84161> f84161, List<ItemF84162> f84162, List<ItemF84163> f84163) {
        this.XIOZXH = XIOZXH;
        this.FUKRZH = FUKRZH;
        this.FKRMCH = FKRMCH;
        this.BIAOZI = BIAOZI;
        this.DAILZH = DAILZH;
        this.DAILMC = DAILMC;
        this.FKRDZH = FKRDZH;
        this.FKRKHH = FKRKHH;
        this.HUOBDH = HUOBDH;
        this.ZHIFJE = ZHIFJE;
        this.CANYBZ = CANYBZ;
        this.YWLXDM = YWLXDM;
        this.YWZLDM = YWZLDM;
        this.JIAJZL = JIAJZL;
        this.SHKRZH = SHKRZH;
        this.SKRMCH = SKRMCH;
        this.SKRDZH = SKRDZH;
        this.SKRKHH = SKRKHH;
        this.SHKHHH = SHKHHH;
        this.SHKRHM = SHKRHM;
        this.PNGZZL = PNGZZL;
        this.FENHDM = FENHDM;
        this.PNGZPH = PNGZPH;
        this.PNGZXH = PNGZXH;
        this.QNFARQ = QNFARQ;
        this.ZHFUED = ZHFUED;
        this.ZHFUMM = ZHFUMM;
        this.DDDBSH = DDDBSH;
        this.FUYNH1 = FUYNH1;
        this.BEIY04 = BEIY04;
        F84161 = f84161;
        F84162 = f84162;
        F84163 = f84163;
    }
}
