package com.brilliance.isc.esb.model.inner;

import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

/**
 * 国内证异步交易中国结发起应答的交易
 */
@NoArgsConstructor
@AllArgsConstructor
public class InnerReqLcw2 {

    public String othersno;      //第三方系统编号
    public String sender;        //数据来源
    public String receiver;      //数据接收
    public String msgtyp;        //报文编号
    public String msgid;         //报文源流水号
    public String msgrefid;      //关联系统流水号
    public String credat;        //创建日期
    public String reference;     //业务编号
    public String orgref;        //业务编号
    public String ownextkey;     //归属机构
    public String cuscode;       //客户
    public String reserve1;      //预留字
    public String reserve2;      //预留字
    public String reserve3;      //预留字
    public String reserve4;      //预留字
    public String reserve5;      //预留字
    public String reason;        //拒绝原因
    public String fillwith;      //填充为，无实际意义
}
