package com.brilliance.isc.esb.model.ocr;


/**
 * ocr文档比对结果查询返回模型
 */

public class ResOcrResult {

    /**
     * 任务状态，pending-排队中，running-运行中，success-成功，failed-失败
     */
    public String status;
    /**
     * 异步任务ID
     */
    public String taskId;
    /**
     * 任务创建时间
     */
    public String createdAt;
    /**
     * 任务开始处理时间
     */
    public String startedAt;
    /**
     * 任务结束时间
     */
    public String finishedAt;
    /**
     * 不同类型应用返回的json String不一样，根据具体应用反序列化； 下面罗列了比对和抽取的异步任务的响应结果体。
     * 当status= failed 或 pending 时，result为空;
     * 当status=success时，result对应的结果数据。
     */
    public String result;

    public ResOcrResult() {
    }

    public ResOcrResult(String status, String taskId, String createdAt, String startedAt, String finishedAt, String result) {
        this.status = status;
        this.taskId = taskId;
        this.createdAt = createdAt;
        this.startedAt = startedAt;
        this.finishedAt = finishedAt;
        this.result = result;
    }
}
