package com.brilliance.isc.esb.model.tysf;

import java.util.ArrayList;
import java.util.List;

/**
 * OF70 安心签盖章请求对象(原GJ70)
 */
public class ReqGJ70 {
    /**
     * 交易时间
     */
    public String TXTIME;

    /**
     * 是否签署
     */
    public String SIGNTYPE;

    /**
     * 合同类型
     */
    public String CONTRACTTYPECODE;

    /**
     * 合同名称
     */
    public String CONTRACTNAME;

    /**
     * 合同过期时间
     */
    public String EXPIREDDATE;

    /**
     * 关键字
     */
    public String KEYWORD;

    /**
     * X轴偏移坐标
     */
    public String OFFSETCOORDX;

    /**
     * Y轴偏移坐标
     */
    public String OFFSETCOORDY;

    /**
     * 签章图片宽度
     */
    public String KEYWORDIMAGEWIDTH;

    /**
     * 签章图片高度
     */
    public String KEYWORDIMAGEHEIGHT;

    /**
     * 签名域页数
     */
    public String PAGENO;

    /**
     * 签名域的左下角X轴坐标值
     */
    public String COORDINATELUX;

    /**
     * 签名域的左下角Y轴坐标值
     */
    public String COORDINATELUY;

    /**
     * 签章图片宽度
     */
    public String LOCATIONIMAGEWIDTH;

    /**
     * 签章图片高度
     */
    public String LOCATIONIMAGEHEIGHT;

    /**
     * 文件名称
     */
    public String FILENAME;

    public List<ItemFGJ701> FGJ701 = new ArrayList();

    public static class ItemFGJ701 {

        /**
         * 用户ID
         */
        public String USERID;

        /**
         * 签署类型
         */
        public String SIGNTYPE;

        /**
         * 项目编号
         */
        public String PROJECTCODE;

        /**
         * 是否检查项目编号
         */
        public String ISCHECKPROJECTCODE;

        /**
         * 关键字
         */
        public String KEYWORD;

        /**
         * X轴偏移坐标
         */
        public String OFFSETCOORDX;

        /**
         * Y轴偏移坐标
         */
        public String OFFSETCOORDY;

        /**
         * 签章图片宽度
         */
        public String KEYWORDIMAGEWIDTH;

        /**
         * 签章图片高度
         */
        public String KEYWORDIMAGEHEIGHT;

        /**
         * 签名域页数
         */
        public String PAGENO;

        /**
         * 签名域的左下角X轴坐标值
         */
        public String COORDINATELUX;

        /**
         * 签名域的左下角Y轴坐标值
         */
        public String COORDINATELUY;

        /**
         * 签章图片宽度
         */
        public String LOCATIONIMAGEWIDTH;

        /**
         * 签章图片高度
         */
        public String LOCATIONIMAGEHEIGHT;

    }

    public ReqGJ70() {
    }

    public ReqGJ70(String TXTIME, String SIGNTYPE, String SEALID, String CONTRACTTYPECODE, String CONTRACTNAME, String EXPIREDDATE, String ISSENDNOTICE, String BUSINESSTYPE, String SMSTEMPLATEID, String EMAILTEMPLATEID, String KEYWORD, String OFFSETCOORDX, String OFFSETCOORDY, String KEYWORDIMAGEWIDTH, String KEYWORDIMAGEHEIGHT, String KEYWORDPAGENO, String INDEX, String PAGENO, String COORDINATELUX, String COORDINATELUY, String LOCATIONIMAGEWIDTH, String LOCATIONIMAGEHEIGHT, String FILENAME, List<ItemFGJ701> FGJ701) {
        this.TXTIME = TXTIME;
        this.SIGNTYPE = SIGNTYPE;
        this.CONTRACTTYPECODE = CONTRACTTYPECODE;
        this.CONTRACTNAME = CONTRACTNAME;
        this.EXPIREDDATE = EXPIREDDATE;
        this.KEYWORD = KEYWORD;
        this.OFFSETCOORDX = OFFSETCOORDX;
        this.OFFSETCOORDY = OFFSETCOORDY;
        this.KEYWORDIMAGEWIDTH = KEYWORDIMAGEWIDTH;
        this.KEYWORDIMAGEHEIGHT = KEYWORDIMAGEHEIGHT;
        this.PAGENO = PAGENO;
        this.COORDINATELUX = COORDINATELUX;
        this.COORDINATELUY = COORDINATELUY;
        this.LOCATIONIMAGEWIDTH = LOCATIONIMAGEWIDTH;
        this.LOCATIONIMAGEHEIGHT = LOCATIONIMAGEHEIGHT;
        this.FILENAME = FILENAME;
        this.FGJ701 = FGJ701;
    }
}
