package com.brilliance.isc.esb.model.whj.res.export;

import lombok.Data;

import java.util.List;

@Data
public class Apply {

    public String applyEntName;         //融资企业名称
    public String applyEntCode;         //企业组织机构代码
    public String currency;         //关单核验币种
    public Long amount;         //应收账款金额
    public String contractEndDate;         //合同回款日期
    public Long applyAmount;         //申请融资金额
    public List<Invoices> invoices;
    public String acceptBankCode;         //受理银行代码
    public String acceptBankName;         //受理银行名称
    public List<String> exportWayBills;         //运单列表

    public Apply() {
    }

    public Apply(String applyEntName, String applyEntCode, String currency, Long amount, String contractEndDate, Long applyAmount, List<Invoices> invoices, String acceptBankCode, String acceptBankName, List<String> exportWayBills) {
        this.applyEntName = applyEntName;
        this.applyEntCode = applyEntCode;
        this.currency = currency;
        this.amount = amount;
        this.contractEndDate = contractEndDate;
        this.applyAmount = applyAmount;
        this.invoices = invoices;
        this.acceptBankCode = acceptBankCode;
        this.acceptBankName = acceptBankName;
        this.exportWayBills = exportWayBills;
    }
}
