package com.brilliance.isc.esb.newmodel;

import com.brilliance.isc.esb.model.inner.Header;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * 新国结和接口服务请求模型框架
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class InnerReq<T1, T2> {
    /**
     * 报文体
     */
    public T1 DATA;
    /**
     * 对内报文体
     */
    public T2 INNERDATA;
    /**
     * 报文头
     */
    public Header header;

    public InnerReq() {
    }

    public InnerReq(T1 DATA1, T2 DATA2) {
        this.DATA = DATA1;
        this.INNERDATA = DATA2;
    }

}
