package com.brilliance.isc.esb.newmodel.etrade;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResEtghcx {

    /**
     * 交易结果
     * */
    public String JIAYJG;

    /**
     * 管户机构号
     * */
    public String ghjgh;

    /**
     * 管户机构名称
     * */
    public String ghjgmc;

    /**
     * 经办机构号
     * */
    public String jbjgh;

    /**
     * 组织机构代码
     * */
    public String zzjgdm;

    /**
     * 统一社会信用代码
     * */
    public String shxydm;

    /**
     * 主体性质
     * */
    public String jyxz;

    /**
     * 客户号
     * */
    public String cid;

    /**
     * 当事人中文名称
     * */
    public String engnam;



    /**
     * 当事人名称
     * */
    public String nam;

    public List<ItemEtghcx> Details = new ArrayList<>();

    public static class ItemEtghcx{

        /**
         * 地址中文名称
         * */
        public String dzzwmc;

        /**
         * 地址英文名称
         * */
        public String dzywmc;

    }

}
