package com.brilliance.isc.esb.newmodel.waishu;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class NS11Req {
    /**
     * 唯一流水号
     */
    public String SRC_SEQ_NUM;
    /**
     * 系统用户认证
     */
    public String SYSTEM_USER_AUTH;
    /**
     * 系统用户认证密码
     */
    public String SYSTEM_USER_AUTH_PWD;
    /**
     *发起查询系统
     */
    public String QUERY_SYSTEM;
    /**
     *查询原因
     */
    public String QUERY_REASON;
    /**
     * 客户是否已授权
     */
    public String CUST_AUTHED;
    /**
     * 业务代码及描述
     */
    public String BIZ_PRD_TYPE;
    /**
     * 行内客户号
     */
    public String CUSTID;
    /**
     * 行内对公客户号
     */
    public String CORPCUSTID;
    /**
     * 接口版本号
     */
    public String EDMP_VER;
    /**
     * 来源路由
     */
    public String SOURCE_ROUTE;
    public String BATCHNO;//	批次号
    public String RESERVE1;//	预留字段1
    public String RESERVE2;//	预留字段2
    public String RESERVE3;//	预留字段3
    public String RESERVE4;//预留字段4
    public String RESERVE5;//	预留字段5
    public String RESERVE6;//	预留字段6
}
