package com.brilliance.isc.common.finmod.vo;

import com.brilliance.isc.common.json.BigDecimalSerialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class Finmod6153Response {

    //预收息利息
    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal intamt = BigDecimal.ZERO;

    //错误代码
    private String code;

    //错误信息
    private String errorMsg;
}
