package com.brilliance.isc.common.register.settle;



import com.brilliance.isc.common.register.settle.common.LiaallSettleRegister;
import com.brilliance.isc.common.register.settle.common.LiaccvSettleRegister;
import com.brilliance.isc.common.register.settle.common.SetmodSettleRegister;
import com.brilliance.isc.common.setmod.vo.SetmodVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component("default.settleRegister")
public class DefaultSettleRegister implements ISettleRegister{

    @Autowired
    private LiaccvSettleRegister liaccvSettleRegister;

    @Autowired
    private LiaallSettleRegister liaallSettleRegister;

    @Autowired
    private SetmodSettleRegister setmodSettleRegister;

    @Override
    public void registerSettlement(SetmodVo setmodVo) {
        liaccvSettleRegister.registerSettlement(setmodVo);
        liaallSettleRegister.registerSettlement(setmodVo);
        setmodSettleRegister.registerSettlement(setmodVo);
    }
}
